For the complete documentation index, see llms.txt. This page is also available as Markdown.

상관 규칙

상관 규칙에 대한 REST API 작업

개요

해당 /correlation-rules 엔드포인트는 Snowflake 백엔드가 필요합니다. Databricks에서는 사용할 수 없습니다.

이러한 API 작업을 사용하여 다음과 상호 작용하세요 상관 관계 규칙 Panther에서.

API를 호출하려면, 다음을 참조하세요 Panther REST API 사용 방법 지침—다음을 포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 안내.

필요한 권한

  • 다음의 경우 GET 작업의 경우, API 토큰에는 다음이 있어야 합니다 규칙 보기 권한이 있어야 합니다.

  • 다음의 경우 POST, PUT, 그리고 DELETE 작업의 경우, API 토큰에는 다음이 있어야 합니다 규칙 관리 권한이 있어야 합니다.

작업

list correlation rules

get
Authorizations
X-API-KeystringRequired
Query parameters
cursorstringOptional

the pagination token

limitinteger · int64Optional

the maximum results to return

Default: 100
name-containsstringOptional

Substring search by name (case-insensitive)

statestring · enumOptional

Only include rules in the given state

Possible values:
tagstring[]Optional

Only include rules with one of the given tags (case-insensitive)

created-bystringOptional

Only include rules whose creator matches this user ID or actor ID

last-modified-bystringOptional

Only include rules last modified by this user ID or actor ID

Responses
200

OK response.

application/json
nextstringOptional

pagination token for the next page of results

get/correlation-rules
200

OK response.

create correlation rule

post
Authorizations
X-API-KeystringRequired
Query parameters
run-tests-firstbooleanOptional

set this field to false to exclude running tests prior to saving

Default: true
run-tests-onlybooleanOptional

set this field to true if you want to run tests without saving

Default: false
Body
createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

referencestringOptional

A URL or note for additional reference material

runbookstringOptional

How to handle the generated alert

severitystring · enumRequiredPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
Responses
200

OK response.

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

referencestringOptional

A URL or note for additional reference material

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
post/correlation-rules

get a correlation rule

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the correlation rule to fetch

Responses
200

OK response.

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

referencestringOptional

A URL or note for additional reference material

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
get/correlation-rules/{id}

put correlation rule

put

put creates or updates a correlation rule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

the id of the correlation rule

Query parameters
run-tests-firstbooleanOptional

set this field to false to exclude running tests prior to saving

Default: true
run-tests-onlybooleanOptional

set this field to true if you want to run tests without saving

Default: false
Body
createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

referencestringOptional

A URL or note for additional reference material

runbookstringOptional

How to handle the generated alert

severitystring · enumRequiredPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
Responses
200

200 returned if the item already existed

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

referencestringOptional

A URL or note for additional reference material

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
put/correlation-rules/{id}

delete correlation rule

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the correlation rule to delete

Responses
204

No Content response.

No content

delete/correlation-rules/{id}

No content

마지막 업데이트

도움이 되었나요?